VDPAU

Typedefs
VdpDevice; Primary API object
Core API
Collaboration diagram for VdpDevice; Primary API object:

## Typedefs
typedef uint32_t | VdpDevice
| An opaque handle representing a VdpDevice object.
typedef VdpStatus | VdpDeviceDestroy(VdpDevice device)
| Destroy a VdpDevice.

## Detailed Description

The VdpDevice is the root of the VDPAU object system. Using a VdpDevice object, all other object types may be created. See the sections describing those other object types for details on object creation.

Note that VdpDevice objects are created using the Window System Integration Layer.

## Typedef Documentation

## ◆ VdpDevice

typedef uint32_t VdpDevice

An opaque handle representing a VdpDevice object.

## ◆ VdpDeviceDestroy

typedef VdpStatus VdpDeviceDestroy(VdpDevice device)

Destroy a VdpDevice.

Parameters

  [in] | device | The device to destroy.

Returns
  VdpStatus The completion status of the operation.